#### Beyond Linux® From Scratch (systemd edition) - Version 8.2

### Chapter 43. Other X-based Programs

- Prev

  HexChat-2.12.4

- Next

  Inkscape-0.92.2

- Up
- Home

# IcedTea-Web-1.7.1

## Introduction to IcedTea-Web

The IcedTea-Web package contains both a Java browser plugin, and a new webstart implementation, licensed under GPLV3.

This package is known to build and work properly using an LFS-8.2 platform.

### Package Information

- Download (HTTP): http://icedtea.wildebeest.org/download/source/icedtea-web-1.7.1.tar.gz

- Download MD5 sum: f55d3b47c657a3603b05c637ca8a4572

- Download size: 2.0 MB

- Estimated disk space required: 35 MB

- Estimated build time: 0.3 SBU

### IcedTea-Web Dependencies

#### Required

NPAPI-SDK-0.27.2, and OpenJDK-9.0.4 or Java-9.0.4 (remember to configure as described in the Configuring the JAVA environment page),

#### Required at runtime, a web browser, such as:

Epiphany-3.26.6, Midori-0.5.11, or SeaMonkey-2.49.2

#### Optional

libxslt-1.1.32, Mercurial-4.5, EMMA, and JACOCO

User Notes: http://wiki.linuxfromscratch.org/blfs/wiki/icedtea-web

## Installation of IcedTea-Web

Install IcedTea-Web by running the following commands:

    ./configure --prefix=${JAVA_HOME}/jre    \
                --with-jdk-home=${JAVA_HOME} \
                --disable-docs               \
                --mandir=${JAVA_HOME}/man &&
    make

This package does not come with a test suite.

Now, as the `root` user:

    make install

To test the man pages are correctly installed, issue man policyeditor to display the respective man page.

If desired, you may install a .desktop file corresponding to an entry in a desktop menu for policyeditor, as `root` user:

    install -v -Dm0644 itweb-settings.desktop /usr/share/applications/itweb-settings.desktop &&
    install -v -Dm0644 javaws.png /usr/share/pixmaps/javaws.png

## Command Explanations

`--with-jdk-home`: This switch provides the location of the installed JDK.

`--disable-docs`: This switch disables installation of additional developer-related documentation. Omit this switch if you would like to do development work on IcedTea-Web.

## Configuration Information

As the `root` user, create a symbolic link to the plugin from your browser(s) plugins directory. For example, for SeaMonkey-2.49.2:

    install -dm755 /usr/lib/mozilla/plugins &&
    ln -s ${JAVA_HOME}/jre/lib/IcedTeaPlugin.so /usr/lib/mozilla/plugins/

### Important

The plugin must be a symlink for it to work. If not, the browsers will crash when you attempt to load a Java application.

## Contents

Installed Programs: itweb-settings, javaws, and policyeditor
Installed Libraries: IcedTeaPlugin.so, jsobject.jar, netx.jar, plugin.jar
Installed Directories: ${JAVA_HOME}/jre/share/icedtea-web

### Short Descriptions

itweb-settings | allows customization of the browser plugin and javaws.
javaws | launches Java application/applets hosted on a network.
policyeditor | view and modify security policy settings, including certificates, for javaws and the browser plugin.
`IcedTeaPlugin.so` | is the Java browser plugin.
`jsobject.jar` | contains functions to manipulate JavaScript objects from JAVA code.
`netx.jar` | contains functions for the IcedTea-Web webstart implementation (NetX).
`plugin.jar` | contains functions for the IcedTea-Web Java plugin.

Last updated on 2018-02-26 15:52:57 -0800

- Prev

  HexChat-2.12.4

- Next

  Inkscape-0.92.2

- Up
- Home